net.minecraft.server.management

## Class PlayerManager

- java.lang.Object
- - net.minecraft.server.management.PlayerManager

-     public class PlayerManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayerManager(WorldServer par1WorldServer, int par2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPlayer(EntityPlayerMP par1EntityPlayerMP)`
    `void` | `filterChunkLoadQueue(EntityPlayerMP par1EntityPlayerMP)`
    `static int` | `getFurthestViewableBlock(int par0)`
    `WorldServer` | `getWorldServer()`
    `boolean` | `isPlayerWatchingChunk(EntityPlayerMP par1EntityPlayerMP, int par2, int par3)`
    `void` | `markBlockForUpdate(int p_151250_1_, int p_151250_2_, int p_151250_3_)`
    `void` | `removePlayer(EntityPlayerMP par1EntityPlayerMP)`
    `void` | `updatePlayerInstances()`
    `void` | `updatePlayerPertinentChunks(EntityPlayerMP par1EntityPlayerMP)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlayerManager

          public PlayerManager(WorldServer par1WorldServer,
                       int par2)

  - ### Method Detail

    - #### getWorldServer

          public WorldServer getWorldServer()

    - #### updatePlayerInstances

          public void updatePlayerInstances()

    - #### markBlockForUpdate

          public void markBlockForUpdate(int p_151250_1_,
                                int p_151250_2_,
                                int p_151250_3_)

    - #### addPlayer

          public void addPlayer(EntityPlayerMP par1EntityPlayerMP)

    - #### filterChunkLoadQueue

          public void filterChunkLoadQueue(EntityPlayerMP par1EntityPlayerMP)

    - #### removePlayer

          public void removePlayer(EntityPlayerMP par1EntityPlayerMP)

    - #### updatePlayerPertinentChunks

          public void updatePlayerPertinentChunks(EntityPlayerMP par1EntityPlayerMP)

    - #### isPlayerWatchingChunk

          public boolean isPlayerWatchingChunk(EntityPlayerMP par1EntityPlayerMP,
                                      int par2,
                                      int par3)

    - #### getFurthestViewableBlock

          public static int getFurthestViewableBlock(int par0)